
/*
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  The four essential freedoms with GNU GPL software:
 *  The freedom to run the program, for any purpose
 *  The freedom to study how the program works, and change it to make it do what you wish
 *  The freedom to redistribute copies so you can help your girlfriends and friends
 *  The freedom to distribute copies of your modified versions to your girlfriends and friends
 *
 *   ,           ,
 *  /             \
 * ((__-^^-,-^^-__))
 * `-_---'  `---_-'
 *  `--|o`   'o|--'
 *      \  `  /
 *       ): :(
 *       :o_o:
 *        "-"
 */

	/*
	 *
	 */

#ifndef MPOOL_H
#define MPOOL_H 1

/* create new pool */
struct mpool *mpool_pool_new (void);

/* malloc in a pool, resized automatically */
void *mpool_pool_malloc (struct mpool *pool, size_t size);

/* delete a given pool, do not create new empy one. */
void mpool_pool_delete (struct mpool *pool);

/* check mpool routimes use valgrind software */
void mpool_check (void);

#endif /* MPOOL_H */

/* End. */
